ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.79 by root, Wed Jan 18 15:04:24 2006 UTC vs.
Revision 1.85 by root, Sat Jan 21 21:01:54 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}' 3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
3052 3052
3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644' 3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
3054 3054
3055 3055
3056ac_ext=c
3057ac_cpp='$CPP $CPPFLAGS'
3058ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3059ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3060ac_compiler_gnu=$ac_cv_c_compiler_gnu
3061
3062
3063if test -z "$orig_CXXFLAGS"; then
3064 if test x$GCC = xyes && test "x$GXX" = xyes; then
3065 CXXFLAGS="-g -O3"
3066 else
3067 CXXFLAGS="-O"
3068 fi
3069 CFLAGS="$CXXFLAGS"
3070fi
3071
3072LINKER="$CXX"
3073if test x$GCC = xyes && test x$GXX = xyes; then
3074
3075echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3076echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3077if test "${ac_cv_lib_supcpp_main+set}" = set; then
3078 echo $ECHO_N "(cached) $ECHO_C" >&6
3079else
3080 ac_check_lib_save_LIBS=$LIBS
3081LIBS="-lsupc++ $LIBS"
3082cat >conftest.$ac_ext <<_ACEOF
3083/* confdefs.h. */
3084_ACEOF
3085cat confdefs.h >>conftest.$ac_ext
3086cat >>conftest.$ac_ext <<_ACEOF
3087/* end confdefs.h. */
3088
3089
3090int
3091main ()
3092{
3093main ();
3094 ;
3095 return 0;
3096}
3097_ACEOF
3098rm -f conftest.$ac_objext conftest$ac_exeext
3099if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3100 (eval $ac_link) 2>conftest.er1
3101 ac_status=$?
3102 grep -v '^ *+' conftest.er1 >conftest.err
3103 rm -f conftest.er1
3104 cat conftest.err >&5
3105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3106 (exit $ac_status); } &&
3107 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3108 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3109 (eval $ac_try) 2>&5
3110 ac_status=$?
3111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3112 (exit $ac_status); }; } &&
3113 { ac_try='test -s conftest$ac_exeext'
3114 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3115 (eval $ac_try) 2>&5
3116 ac_status=$?
3117 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3118 (exit $ac_status); }; }; then
3119 ac_cv_lib_supcpp_main=yes
3120else
3121 echo "$as_me: failed program was:" >&5
3122sed 's/^/| /' conftest.$ac_ext >&5
3123
3124ac_cv_lib_supcpp_main=no
3125fi
3126rm -f conftest.err conftest.$ac_objext \
3127 conftest$ac_exeext conftest.$ac_ext
3128LIBS=$ac_check_lib_save_LIBS
3129fi
3130echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3131echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3132if test $ac_cv_lib_supcpp_main = yes; then
3133
3134 LINKER="$CC"
3135 LIBS="$LIBS -lsupc++"
3136
3137fi
3138
3139fi
3140LINKER=$LINKER
3141
3142
3143
3144cat >>confdefs.h <<\_ACEOF
3145#define _GNU_SOURCE 1
3146_ACEOF
3147
3148
3149case $host in
3150 *-*-solaris* )
3151
3152cat >>confdefs.h <<\_ACEOF
3153#define _XOPEN_SOURCE_EXTENDED 1
3154_ACEOF
3155
3156
3157cat >>confdefs.h <<\_ACEOF
3158#define _XOPEN_SOURCE 2
3159_ACEOF
3160
3161
3162cat >>confdefs.h <<\_ACEOF
3163#define __EXTENSIONS__ 1
3164_ACEOF
3165
3166 ;;
3167esac
3168
3169
3170ac_ext=cc
3171ac_cpp='$CXXCPP $CPPFLAGS'
3172ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3173ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3174ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3175
3176
3177
3178ac_ext=cc
3179ac_cpp='$CXXCPP $CPPFLAGS'
3180ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3181ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3182ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3183echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
3184echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
3185if test -z "$CXXCPP"; then
3186 if test "${ac_cv_prog_CXXCPP+set}" = set; then
3187 echo $ECHO_N "(cached) $ECHO_C" >&6
3188else
3189 # Double quotes because CXXCPP needs to be expanded
3190 for CXXCPP in "$CXX -E" "/lib/cpp"
3191 do
3192 ac_preproc_ok=false
3193for ac_cxx_preproc_warn_flag in '' yes
3194do
3195 # Use a header file that comes with gcc, so configuring glibc
3196 # with a fresh cross-compiler works.
3197 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3198 # <limits.h> exists even on freestanding compilers.
3199 # On the NeXT, cc -E runs the code through the compiler's parser,
3200 # not just through cpp. "Syntax error" is here to catch this case.
3201 cat >conftest.$ac_ext <<_ACEOF
3202/* confdefs.h. */
3203_ACEOF
3204cat confdefs.h >>conftest.$ac_ext
3205cat >>conftest.$ac_ext <<_ACEOF
3206/* end confdefs.h. */
3207#ifdef __STDC__
3208# include <limits.h>
3209#else
3210# include <assert.h>
3211#endif
3212 Syntax error
3213_ACEOF
3214if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3215 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3216 ac_status=$?
3217 grep -v '^ *+' conftest.er1 >conftest.err
3218 rm -f conftest.er1
3219 cat conftest.err >&5
3220 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3221 (exit $ac_status); } >/dev/null; then
3222 if test -s conftest.err; then
3223 ac_cpp_err=$ac_cxx_preproc_warn_flag
3224 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3225 else
3226 ac_cpp_err=
3227 fi
3228else
3229 ac_cpp_err=yes
3230fi
3231if test -z "$ac_cpp_err"; then
3232 :
3233else
3234 echo "$as_me: failed program was:" >&5
3235sed 's/^/| /' conftest.$ac_ext >&5
3236
3237 # Broken: fails on valid input.
3238continue
3239fi
3240rm -f conftest.err conftest.$ac_ext
3241
3242 # OK, works on sane cases. Now check whether non-existent headers
3243 # can be detected and how.
3244 cat >conftest.$ac_ext <<_ACEOF
3245/* confdefs.h. */
3246_ACEOF
3247cat confdefs.h >>conftest.$ac_ext
3248cat >>conftest.$ac_ext <<_ACEOF
3249/* end confdefs.h. */
3250#include <ac_nonexistent.h>
3251_ACEOF
3252if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3253 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3254 ac_status=$?
3255 grep -v '^ *+' conftest.er1 >conftest.err
3256 rm -f conftest.er1
3257 cat conftest.err >&5
3258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3259 (exit $ac_status); } >/dev/null; then
3260 if test -s conftest.err; then
3261 ac_cpp_err=$ac_cxx_preproc_warn_flag
3262 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3263 else
3264 ac_cpp_err=
3265 fi
3266else
3267 ac_cpp_err=yes
3268fi
3269if test -z "$ac_cpp_err"; then
3270 # Broken: success on invalid input.
3271continue
3272else
3273 echo "$as_me: failed program was:" >&5
3274sed 's/^/| /' conftest.$ac_ext >&5
3275
3276 # Passes both tests.
3277ac_preproc_ok=:
3278break
3279fi
3280rm -f conftest.err conftest.$ac_ext
3281
3282done
3283# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3284rm -f conftest.err conftest.$ac_ext
3285if $ac_preproc_ok; then
3286 break
3287fi
3288
3289 done
3290 ac_cv_prog_CXXCPP=$CXXCPP
3291
3292fi
3293 CXXCPP=$ac_cv_prog_CXXCPP
3294else
3295 ac_cv_prog_CXXCPP=$CXXCPP
3296fi
3297echo "$as_me:$LINENO: result: $CXXCPP" >&5
3298echo "${ECHO_T}$CXXCPP" >&6
3299ac_preproc_ok=false
3300for ac_cxx_preproc_warn_flag in '' yes
3301do
3302 # Use a header file that comes with gcc, so configuring glibc
3303 # with a fresh cross-compiler works.
3304 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3305 # <limits.h> exists even on freestanding compilers.
3306 # On the NeXT, cc -E runs the code through the compiler's parser,
3307 # not just through cpp. "Syntax error" is here to catch this case.
3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3312cat >>conftest.$ac_ext <<_ACEOF
3313/* end confdefs.h. */
3314#ifdef __STDC__
3315# include <limits.h>
3316#else
3317# include <assert.h>
3318#endif
3319 Syntax error
3320_ACEOF
3321if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3322 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3323 ac_status=$?
3324 grep -v '^ *+' conftest.er1 >conftest.err
3325 rm -f conftest.er1
3326 cat conftest.err >&5
3327 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3328 (exit $ac_status); } >/dev/null; then
3329 if test -s conftest.err; then
3330 ac_cpp_err=$ac_cxx_preproc_warn_flag
3331 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3332 else
3333 ac_cpp_err=
3334 fi
3335else
3336 ac_cpp_err=yes
3337fi
3338if test -z "$ac_cpp_err"; then
3339 :
3340else
3341 echo "$as_me: failed program was:" >&5
3342sed 's/^/| /' conftest.$ac_ext >&5
3343
3344 # Broken: fails on valid input.
3345continue
3346fi
3347rm -f conftest.err conftest.$ac_ext
3348
3349 # OK, works on sane cases. Now check whether non-existent headers
3350 # can be detected and how.
3351 cat >conftest.$ac_ext <<_ACEOF
3352/* confdefs.h. */
3353_ACEOF
3354cat confdefs.h >>conftest.$ac_ext
3355cat >>conftest.$ac_ext <<_ACEOF
3356/* end confdefs.h. */
3357#include <ac_nonexistent.h>
3358_ACEOF
3359if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3360 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3361 ac_status=$?
3362 grep -v '^ *+' conftest.er1 >conftest.err
3363 rm -f conftest.er1
3364 cat conftest.err >&5
3365 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3366 (exit $ac_status); } >/dev/null; then
3367 if test -s conftest.err; then
3368 ac_cpp_err=$ac_cxx_preproc_warn_flag
3369 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3370 else
3371 ac_cpp_err=
3372 fi
3373else
3374 ac_cpp_err=yes
3375fi
3376if test -z "$ac_cpp_err"; then
3377 # Broken: success on invalid input.
3378continue
3379else
3380 echo "$as_me: failed program was:" >&5
3381sed 's/^/| /' conftest.$ac_ext >&5
3382
3383 # Passes both tests.
3384ac_preproc_ok=:
3385break
3386fi
3387rm -f conftest.err conftest.$ac_ext
3388
3389done
3390# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3391rm -f conftest.err conftest.$ac_ext
3392if $ac_preproc_ok; then
3393 :
3394else
3395 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3396See \`config.log' for more details." >&5
3397echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3398See \`config.log' for more details." >&2;}
3399 { (exit 1); exit 1; }; }
3400fi
3401
3402ac_ext=cc
3403ac_cpp='$CXXCPP $CPPFLAGS'
3404ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3405ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3406ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3407 3056
3408 3057
3409echo "$as_me:$LINENO: checking for egrep" >&5 3058echo "$as_me:$LINENO: checking for egrep" >&5
3410echo $ECHO_N "checking for egrep... $ECHO_C" >&6 3059echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3411if test "${ac_cv_prog_egrep+set}" = set; then 3060if test "${ac_cv_prog_egrep+set}" = set; then
3486 grep -v '^ *+' conftest.er1 >conftest.err 3135 grep -v '^ *+' conftest.er1 >conftest.err
3487 rm -f conftest.er1 3136 rm -f conftest.er1
3488 cat conftest.err >&5 3137 cat conftest.err >&5
3489 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3138 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3490 (exit $ac_status); } && 3139 (exit $ac_status); } &&
3491 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3140 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3492 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3141 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3493 (eval $ac_try) 2>&5 3142 (eval $ac_try) 2>&5
3494 ac_status=$? 3143 ac_status=$?
3495 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3496 (exit $ac_status); }; } && 3145 (exit $ac_status); }; } &&
3540 grep -v '^ *+' conftest.er1 >conftest.err 3189 grep -v '^ *+' conftest.er1 >conftest.err
3541 rm -f conftest.er1 3190 rm -f conftest.er1
3542 cat conftest.err >&5 3191 cat conftest.err >&5
3543 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3192 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3544 (exit $ac_status); } && 3193 (exit $ac_status); } &&
3545 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3194 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3546 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3195 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3547 (eval $ac_try) 2>&5 3196 (eval $ac_try) 2>&5
3548 ac_status=$? 3197 ac_status=$?
3549 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3198 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3550 (exit $ac_status); }; } && 3199 (exit $ac_status); }; } &&
3571echo "${ECHO_T}$ac_cv_search_strerror" >&6 3220echo "${ECHO_T}$ac_cv_search_strerror" >&6
3572if test "$ac_cv_search_strerror" != no; then 3221if test "$ac_cv_search_strerror" != no; then
3573 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3574 3223
3575fi 3224fi
3225
3226ac_ext=cc
3227ac_cpp='$CXXCPP $CPPFLAGS'
3228ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3229ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3230ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3231
3232
3233if test x$GCC = xyes && test x$GXX = xyes; then
3234 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3235echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3236 save_CXX="$CXX"
3237 save_LIBS="$LIBS"
3238 CXX="$CC"
3239 LIBS="$LIBS -lsupc++"
3240 LINKER="$CC"
3241
3242cat >conftest.$ac_ext <<_ACEOF
3243/* confdefs.h. */
3244_ACEOF
3245cat confdefs.h >>conftest.$ac_ext
3246cat >>conftest.$ac_ext <<_ACEOF
3247/* end confdefs.h. */
3248struct test { }; void f() try { throw new test; } catch (...) { throw; }
3249int
3250main ()
3251{
3252
3253 ;
3254 return 0;
3255}
3256_ACEOF
3257rm -f conftest.$ac_objext conftest$ac_exeext
3258if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3259 (eval $ac_link) 2>conftest.er1
3260 ac_status=$?
3261 grep -v '^ *+' conftest.er1 >conftest.err
3262 rm -f conftest.er1
3263 cat conftest.err >&5
3264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3265 (exit $ac_status); } &&
3266 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3267 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3268 (eval $ac_try) 2>&5
3269 ac_status=$?
3270 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3271 (exit $ac_status); }; } &&
3272 { ac_try='test -s conftest$ac_exeext'
3273 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3274 (eval $ac_try) 2>&5
3275 ac_status=$?
3276 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3277 (exit $ac_status); }; }; then
3278 echo "$as_me:$LINENO: result: ok" >&5
3279echo "${ECHO_T}ok" >&6
3280else
3281 echo "$as_me: failed program was:" >&5
3282sed 's/^/| /' conftest.$ac_ext >&5
3283
3284
3285 echo "$as_me:$LINENO: result: no, make everything bigger and slower" >&5
3286echo "${ECHO_T}no, make everything bigger and slower" >&6
3287 LIBS="$save_LIBS"
3288 LINKER="$save_CXX"
3289
3290
3291fi
3292rm -f conftest.err conftest.$ac_objext \
3293 conftest$ac_exeext conftest.$ac_ext
3294 CXX="$save_CXX"
3295fi
3296LINKER=$LINKER
3297
3298
3299ac_ext=cc
3300ac_cpp='$CXXCPP $CPPFLAGS'
3301ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3302ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3303ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3304
3305if test -z "$orig_CXXFLAGS"; then
3306 if test x$GCC = xyes && test "x$GXX" = xyes; then
3307 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3312cat >>conftest.$ac_ext <<_ACEOF
3313/* end confdefs.h. */
3314
3315int
3316main ()
3317{
3318
3319 ;
3320 return 0;
3321}
3322_ACEOF
3323rm -f conftest.$ac_objext
3324if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3325 (eval $ac_compile) 2>conftest.er1
3326 ac_status=$?
3327 grep -v '^ *+' conftest.er1 >conftest.err
3328 rm -f conftest.er1
3329 cat conftest.err >&5
3330 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3331 (exit $ac_status); } &&
3332 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3333 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3334 (eval $ac_try) 2>&5
3335 ac_status=$?
3336 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3337 (exit $ac_status); }; } &&
3338 { ac_try='test -s conftest.$ac_objext'
3339 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3340 (eval $ac_try) 2>&5
3341 ac_status=$?
3342 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3343 (exit $ac_status); }; }; then
3344 :
3345else
3346 echo "$as_me: failed program was:" >&5
3347sed 's/^/| /' conftest.$ac_ext >&5
3348
3349CXXFLAGS="-g -O3"
3350fi
3351rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3352 else
3353 CXXFLAGS="-O"
3354 fi
3355 CFLAGS="$CXXFLAGS"
3356fi
3357
3358
3359cat >>confdefs.h <<\_ACEOF
3360#define _GNU_SOURCE 1
3361_ACEOF
3362
3363
3364case $host in
3365 *-*-solaris* )
3366
3367cat >>confdefs.h <<\_ACEOF
3368#define _XOPEN_SOURCE_EXTENDED 1
3369_ACEOF
3370
3371
3372cat >>confdefs.h <<\_ACEOF
3373#define _XOPEN_SOURCE 2
3374_ACEOF
3375
3376
3377cat >>confdefs.h <<\_ACEOF
3378#define __EXTENSIONS__ 1
3379_ACEOF
3380
3381 ;;
3382esac
3576 3383
3577 3384
3578echo "$as_me:$LINENO: checking for setlocale" >&5 3385echo "$as_me:$LINENO: checking for setlocale" >&5
3579echo $ECHO_N "checking for setlocale... $ECHO_C" >&6 3386echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3580if test "${ac_cv_func_setlocale+set}" = set; then 3387if test "${ac_cv_func_setlocale+set}" = set; then
5112fi 4919fi
5113 4920
5114 4921
5115 4922
5116 4923
4924ac_ext=cc
4925ac_cpp='$CXXCPP $CPPFLAGS'
4926ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4927ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4928ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4929echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4930echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
4931if test -z "$CXXCPP"; then
4932 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4933 echo $ECHO_N "(cached) $ECHO_C" >&6
4934else
4935 # Double quotes because CXXCPP needs to be expanded
4936 for CXXCPP in "$CXX -E" "/lib/cpp"
4937 do
4938 ac_preproc_ok=false
4939for ac_cxx_preproc_warn_flag in '' yes
4940do
4941 # Use a header file that comes with gcc, so configuring glibc
4942 # with a fresh cross-compiler works.
4943 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4944 # <limits.h> exists even on freestanding compilers.
4945 # On the NeXT, cc -E runs the code through the compiler's parser,
4946 # not just through cpp. "Syntax error" is here to catch this case.
4947 cat >conftest.$ac_ext <<_ACEOF
4948/* confdefs.h. */
4949_ACEOF
4950cat confdefs.h >>conftest.$ac_ext
4951cat >>conftest.$ac_ext <<_ACEOF
4952/* end confdefs.h. */
4953#ifdef __STDC__
4954# include <limits.h>
4955#else
4956# include <assert.h>
4957#endif
4958 Syntax error
4959_ACEOF
4960if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4961 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4962 ac_status=$?
4963 grep -v '^ *+' conftest.er1 >conftest.err
4964 rm -f conftest.er1
4965 cat conftest.err >&5
4966 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4967 (exit $ac_status); } >/dev/null; then
4968 if test -s conftest.err; then
4969 ac_cpp_err=$ac_cxx_preproc_warn_flag
4970 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
4971 else
4972 ac_cpp_err=
4973 fi
4974else
4975 ac_cpp_err=yes
4976fi
4977if test -z "$ac_cpp_err"; then
4978 :
4979else
4980 echo "$as_me: failed program was:" >&5
4981sed 's/^/| /' conftest.$ac_ext >&5
4982
4983 # Broken: fails on valid input.
4984continue
4985fi
4986rm -f conftest.err conftest.$ac_ext
4987
4988 # OK, works on sane cases. Now check whether non-existent headers
4989 # can be detected and how.
4990 cat >conftest.$ac_ext <<_ACEOF
4991/* confdefs.h. */
4992_ACEOF
4993cat confdefs.h >>conftest.$ac_ext
4994cat >>conftest.$ac_ext <<_ACEOF
4995/* end confdefs.h. */
4996#include <ac_nonexistent.h>
4997_ACEOF
4998if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4999 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5000 ac_status=$?
5001 grep -v '^ *+' conftest.er1 >conftest.err
5002 rm -f conftest.er1
5003 cat conftest.err >&5
5004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5005 (exit $ac_status); } >/dev/null; then
5006 if test -s conftest.err; then
5007 ac_cpp_err=$ac_cxx_preproc_warn_flag
5008 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5009 else
5010 ac_cpp_err=
5011 fi
5012else
5013 ac_cpp_err=yes
5014fi
5015if test -z "$ac_cpp_err"; then
5016 # Broken: success on invalid input.
5017continue
5018else
5019 echo "$as_me: failed program was:" >&5
5020sed 's/^/| /' conftest.$ac_ext >&5
5021
5022 # Passes both tests.
5023ac_preproc_ok=:
5024break
5025fi
5026rm -f conftest.err conftest.$ac_ext
5027
5028done
5029# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5030rm -f conftest.err conftest.$ac_ext
5031if $ac_preproc_ok; then
5032 break
5033fi
5034
5035 done
5036 ac_cv_prog_CXXCPP=$CXXCPP
5037
5038fi
5039 CXXCPP=$ac_cv_prog_CXXCPP
5040else
5041 ac_cv_prog_CXXCPP=$CXXCPP
5042fi
5043echo "$as_me:$LINENO: result: $CXXCPP" >&5
5044echo "${ECHO_T}$CXXCPP" >&6
5045ac_preproc_ok=false
5046for ac_cxx_preproc_warn_flag in '' yes
5047do
5048 # Use a header file that comes with gcc, so configuring glibc
5049 # with a fresh cross-compiler works.
5050 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5051 # <limits.h> exists even on freestanding compilers.
5052 # On the NeXT, cc -E runs the code through the compiler's parser,
5053 # not just through cpp. "Syntax error" is here to catch this case.
5054 cat >conftest.$ac_ext <<_ACEOF
5055/* confdefs.h. */
5056_ACEOF
5057cat confdefs.h >>conftest.$ac_ext
5058cat >>conftest.$ac_ext <<_ACEOF
5059/* end confdefs.h. */
5060#ifdef __STDC__
5061# include <limits.h>
5062#else
5063# include <assert.h>
5064#endif
5065 Syntax error
5066_ACEOF
5067if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5068 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5069 ac_status=$?
5070 grep -v '^ *+' conftest.er1 >conftest.err
5071 rm -f conftest.er1
5072 cat conftest.err >&5
5073 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5074 (exit $ac_status); } >/dev/null; then
5075 if test -s conftest.err; then
5076 ac_cpp_err=$ac_cxx_preproc_warn_flag
5077 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5078 else
5079 ac_cpp_err=
5080 fi
5081else
5082 ac_cpp_err=yes
5083fi
5084if test -z "$ac_cpp_err"; then
5085 :
5086else
5087 echo "$as_me: failed program was:" >&5
5088sed 's/^/| /' conftest.$ac_ext >&5
5089
5090 # Broken: fails on valid input.
5091continue
5092fi
5093rm -f conftest.err conftest.$ac_ext
5094
5095 # OK, works on sane cases. Now check whether non-existent headers
5096 # can be detected and how.
5097 cat >conftest.$ac_ext <<_ACEOF
5098/* confdefs.h. */
5099_ACEOF
5100cat confdefs.h >>conftest.$ac_ext
5101cat >>conftest.$ac_ext <<_ACEOF
5102/* end confdefs.h. */
5103#include <ac_nonexistent.h>
5104_ACEOF
5105if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5106 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5107 ac_status=$?
5108 grep -v '^ *+' conftest.er1 >conftest.err
5109 rm -f conftest.er1
5110 cat conftest.err >&5
5111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5112 (exit $ac_status); } >/dev/null; then
5113 if test -s conftest.err; then
5114 ac_cpp_err=$ac_cxx_preproc_warn_flag
5115 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5116 else
5117 ac_cpp_err=
5118 fi
5119else
5120 ac_cpp_err=yes
5121fi
5122if test -z "$ac_cpp_err"; then
5123 # Broken: success on invalid input.
5124continue
5125else
5126 echo "$as_me: failed program was:" >&5
5127sed 's/^/| /' conftest.$ac_ext >&5
5128
5129 # Passes both tests.
5130ac_preproc_ok=:
5131break
5132fi
5133rm -f conftest.err conftest.$ac_ext
5134
5135done
5136# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5137rm -f conftest.err conftest.$ac_ext
5138if $ac_preproc_ok; then
5139 :
5140else
5141 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5142See \`config.log' for more details." >&5
5143echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5144See \`config.log' for more details." >&2;}
5145 { (exit 1); exit 1; }; }
5146fi
5147
5148ac_ext=cc
5149ac_cpp='$CXXCPP $CPPFLAGS'
5150ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5151ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5152ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5153
5154
5117 5155
5118if test "x$ac_path_x_has_been_run" != xyes; then 5156if test "x$ac_path_x_has_been_run" != xyes; then
5119 echo "$as_me:$LINENO: checking for X" >&5 5157 echo "$as_me:$LINENO: checking for X" >&5
5120echo $ECHO_N "checking for X... $ECHO_C" >&6 5158echo $ECHO_N "checking for X... $ECHO_C" >&6
5121 5159
7173 7211
7174 7212
7175 7213
7176 7214
7177 7215
7178
7179
7180
7181
7182
7183
7184
7185
7186
7187for ac_header in \ 7216for ac_header in \
7188 assert.h \ 7217 assert.h \
7189 fcntl.h \ 7218 fcntl.h \
7190 grp.h \
7191 libc.h \
7192 lastlog.h \
7193 stdarg.h \ 7219 stdarg.h \
7194 stdlib.h \ 7220 stdlib.h \
7195 string.h \ 7221 string.h \
7196 termios.h \ 7222 termios.h \
7197 unistd.h \ 7223 unistd.h \
7198 sys/byteorder.h \ 7224 sys/byteorder.h \
7199 sys/ioctl.h \ 7225 sys/ioctl.h \
7200 sys/select.h \ 7226 sys/select.h \
7201 sys/sockio.h \ 7227 sys/sockio.h \
7202 sys/strredir.h \ 7228 sys/strredir.h \
7203 sys/stropts.h \
7204 sys/time.h \ 7229 sys/time.h \
7205 utmp.h \ 7230 stdint.h \
7206 utmpx.h \ 7231 wchar.h \
7207 stdint.h \ 7232 cwchar \
7208 pty.h \ 7233 clocale \
7209 util.h \
7210 libutil.h \
7211 wchar.h \
7212 cwchar \
7213 clocale \
7214 7234
7215do 7235do
7216as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7236as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7217if eval "test \"\${$as_ac_Header+set}\" = set"; then 7237if eval "test \"\${$as_ac_Header+set}\" = set"; then
7218 echo "$as_me:$LINENO: checking for $ac_header" >&5 7238 echo "$as_me:$LINENO: checking for $ac_header" >&5
10052 10072
10053 10073
10054 10074
10055 10075
10056 10076
10057
10058
10059
10060
10061
10062
10063
10064
10065
10066
10067for ac_func in \ 10077for ac_func in \
10068 revoke \
10069 unsetenv \ 10078 unsetenv \
10070 setutent \ 10079 setutent \
10071 seteuid \ 10080 seteuid \
10072 setresuid \ 10081 setresuid \
10073 setreuid \ 10082 setreuid \
10074 _getpty \
10075 getpt \
10076 posix_openpt \
10077 grantpt \
10078 unlockpt \
10079 isastream \
10080 on_exit \ 10083 on_exit \
10081 nanosleep \ 10084 nanosleep \
10082 updwtmp \
10083 updwtmpx \
10084 ttyslot \
10085 10085
10086do 10086do
10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10088echo "$as_me:$LINENO: checking for $ac_func" >&5 10088echo "$as_me:$LINENO: checking for $ac_func" >&5
10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10178 cat >>confdefs.h <<_ACEOF 10178 cat >>confdefs.h <<_ACEOF
10179#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 10179#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10180_ACEOF 10180_ACEOF
10181 10181
10182fi 10182fi
10183done
10184
10185
10186
10187
10188
10189
10190for ac_func in \
10191 ttyslot \
10192 updwtmp \
10193 updwtmpx \
10194
10195do
10196as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10197echo "$as_me:$LINENO: checking for $ac_func" >&5
10198echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10199if eval "test \"\${$as_ac_var+set}\" = set"; then
10200 echo $ECHO_N "(cached) $ECHO_C" >&6
10201else
10202 cat >conftest.$ac_ext <<_ACEOF
10203/* confdefs.h. */
10204_ACEOF
10205cat confdefs.h >>conftest.$ac_ext
10206cat >>conftest.$ac_ext <<_ACEOF
10207/* end confdefs.h. */
10208/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10209 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10210#define $ac_func innocuous_$ac_func
10211
10212/* System header to define __stub macros and hopefully few prototypes,
10213 which can conflict with char $ac_func (); below.
10214 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10215 <limits.h> exists even on freestanding compilers. */
10216
10217#ifdef __STDC__
10218# include <limits.h>
10219#else
10220# include <assert.h>
10221#endif
10222
10223#undef $ac_func
10224
10225/* Override any gcc2 internal prototype to avoid an error. */
10226#ifdef __cplusplus
10227extern "C"
10228{
10229#endif
10230/* We use char because int might match the return type of a gcc2
10231 builtin and then its argument prototype would still apply. */
10232char $ac_func ();
10233/* The GNU C library defines this for functions which it implements
10234 to always fail with ENOSYS. Some functions are actually named
10235 something starting with __ and the normal name is an alias. */
10236#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
10237choke me
10238#else
10239char (*f) () = $ac_func;
10240#endif
10241#ifdef __cplusplus
10242}
10243#endif
10244
10245int
10246main ()
10247{
10248return f != $ac_func;
10249 ;
10250 return 0;
10251}
10252_ACEOF
10253rm -f conftest.$ac_objext conftest$ac_exeext
10254if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10255 (eval $ac_link) 2>conftest.er1
10256 ac_status=$?
10257 grep -v '^ *+' conftest.er1 >conftest.err
10258 rm -f conftest.er1
10259 cat conftest.err >&5
10260 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10261 (exit $ac_status); } &&
10262 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10263 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10264 (eval $ac_try) 2>&5
10265 ac_status=$?
10266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10267 (exit $ac_status); }; } &&
10268 { ac_try='test -s conftest$ac_exeext'
10269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10270 (eval $ac_try) 2>&5
10271 ac_status=$?
10272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10273 (exit $ac_status); }; }; then
10274 eval "$as_ac_var=yes"
10275else
10276 echo "$as_me: failed program was:" >&5
10277sed 's/^/| /' conftest.$ac_ext >&5
10278
10279eval "$as_ac_var=no"
10280fi
10281rm -f conftest.err conftest.$ac_objext \
10282 conftest$ac_exeext conftest.$ac_ext
10283fi
10284echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
10285echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
10286if test `eval echo '${'$as_ac_var'}'` = yes; then
10287 cat >>confdefs.h <<_ACEOF
10288#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10289_ACEOF
10290
10291fi
10292done
10293
10294
10295
10296
10297
10298for ac_header in \
10299 utmp.h \
10300 utmpx.h \
10301 lastlog.h \
10302
10303do
10304as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10305if eval "test \"\${$as_ac_Header+set}\" = set"; then
10306 echo "$as_me:$LINENO: checking for $ac_header" >&5
10307echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10308if eval "test \"\${$as_ac_Header+set}\" = set"; then
10309 echo $ECHO_N "(cached) $ECHO_C" >&6
10310fi
10311echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10312echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10313else
10314 # Is the header compilable?
10315echo "$as_me:$LINENO: checking $ac_header usability" >&5
10316echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10317cat >conftest.$ac_ext <<_ACEOF
10318/* confdefs.h. */
10319_ACEOF
10320cat confdefs.h >>conftest.$ac_ext
10321cat >>conftest.$ac_ext <<_ACEOF
10322/* end confdefs.h. */
10323$ac_includes_default
10324#include <$ac_header>
10325_ACEOF
10326rm -f conftest.$ac_objext
10327if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10328 (eval $ac_compile) 2>conftest.er1
10329 ac_status=$?
10330 grep -v '^ *+' conftest.er1 >conftest.err
10331 rm -f conftest.er1
10332 cat conftest.err >&5
10333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10334 (exit $ac_status); } &&
10335 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10336 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10337 (eval $ac_try) 2>&5
10338 ac_status=$?
10339 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10340 (exit $ac_status); }; } &&
10341 { ac_try='test -s conftest.$ac_objext'
10342 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10343 (eval $ac_try) 2>&5
10344 ac_status=$?
10345 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10346 (exit $ac_status); }; }; then
10347 ac_header_compiler=yes
10348else
10349 echo "$as_me: failed program was:" >&5
10350sed 's/^/| /' conftest.$ac_ext >&5
10351
10352ac_header_compiler=no
10353fi
10354rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10355echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10356echo "${ECHO_T}$ac_header_compiler" >&6
10357
10358# Is the header present?
10359echo "$as_me:$LINENO: checking $ac_header presence" >&5
10360echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10361cat >conftest.$ac_ext <<_ACEOF
10362/* confdefs.h. */
10363_ACEOF
10364cat confdefs.h >>conftest.$ac_ext
10365cat >>conftest.$ac_ext <<_ACEOF
10366/* end confdefs.h. */
10367#include <$ac_header>
10368_ACEOF
10369if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10370 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10371 ac_status=$?
10372 grep -v '^ *+' conftest.er1 >conftest.err
10373 rm -f conftest.er1
10374 cat conftest.err >&5
10375 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10376 (exit $ac_status); } >/dev/null; then
10377 if test -s conftest.err; then
10378 ac_cpp_err=$ac_cxx_preproc_warn_flag
10379 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10380 else
10381 ac_cpp_err=
10382 fi
10383else
10384 ac_cpp_err=yes
10385fi
10386if test -z "$ac_cpp_err"; then
10387 ac_header_preproc=yes
10388else
10389 echo "$as_me: failed program was:" >&5
10390sed 's/^/| /' conftest.$ac_ext >&5
10391
10392 ac_header_preproc=no
10393fi
10394rm -f conftest.err conftest.$ac_ext
10395echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10396echo "${ECHO_T}$ac_header_preproc" >&6
10397
10398# So? What about this header?
10399case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10400 yes:no: )
10401 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10402echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10403 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10404echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10405 ac_header_preproc=yes
10406 ;;
10407 no:yes:* )
10408 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10409echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10410 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10411echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10412 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10413echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10414 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10415echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10416 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10417echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10418 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10419echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10420 (
10421 cat <<\_ASBOX
10422## ------------------------------------------ ##
10423## Report this to the AC_PACKAGE_NAME lists. ##
10424## ------------------------------------------ ##
10425_ASBOX
10426 ) |
10427 sed "s/^/$as_me: WARNING: /" >&2
10428 ;;
10429esac
10430echo "$as_me:$LINENO: checking for $ac_header" >&5
10431echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10432if eval "test \"\${$as_ac_Header+set}\" = set"; then
10433 echo $ECHO_N "(cached) $ECHO_C" >&6
10434else
10435 eval "$as_ac_Header=\$ac_header_preproc"
10436fi
10437echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10438echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10439
10440fi
10441if test `eval echo '${'$as_ac_Header'}'` = yes; then
10442 cat >>confdefs.h <<_ACEOF
10443#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10444_ACEOF
10445
10446fi
10447
10183done 10448done
10184 10449
10185 10450
10186 10451
10187if test "${ac_cv_header_utmp_h+set}" = set; then 10452if test "${ac_cv_header_utmp_h+set}" = set; then
11441_ACEOF 11706_ACEOF
11442 11707
11443fi 11708fi
11444 11709
11445 11710
11711
11446echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 11712echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11447echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 11713echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11448if test "${rxvt_cv_path_ttytab+set}" = set; then 11714if test "${rxvt_cv_path_ttytab+set}" = set; then
11449 echo $ECHO_N "(cached) $ECHO_C" >&6 11715 echo $ECHO_N "(cached) $ECHO_C" >&6
11450else 11716else
11727_ACEOF 11993_ACEOF
11728cat confdefs.h >>conftest.$ac_ext 11994cat confdefs.h >>conftest.$ac_ext
11729cat >>conftest.$ac_ext <<_ACEOF 11995cat >>conftest.$ac_ext <<_ACEOF
11730/* end confdefs.h. */ 11996/* end confdefs.h. */
11731 11997
11998#include <cstddef> // broken bsds (is that redundant) need this
11732#include <sys/types.h> 11999#include <sys/types.h>
11733#include <sys/socket.h> 12000#include <sys/socket.h>
12001#include <sys/uio.h>
11734 12002
11735int 12003int
11736main () 12004main ()
11737{ 12005{
11738 12006
11865#define XIMCB_PROTO_BROKEN 1 12133#define XIMCB_PROTO_BROKEN 1
11866_ACEOF 12134_ACEOF
11867 12135
11868fi 12136fi
11869 12137
11870if test x$ac_cv_func_getpt = xno -a x$ac_cv_func_posix_openpt = xno; then 12138
12139
12140
12141
12142
12143
12144for ac_header in \
12145 pty.h \
12146 util.h \
12147 libutil.h \
12148 sys/ioctl.h \
12149 sys/stropts.h \
12150
12151do
12152as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12153if eval "test \"\${$as_ac_Header+set}\" = set"; then
11871 echo "$as_me:$LINENO: checking for openpty" >&5 12154 echo "$as_me:$LINENO: checking for $ac_header" >&5
11872echo $ECHO_N "checking for openpty... $ECHO_C" >&6 12155echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
11873if test "${ac_cv_func_openpty+set}" = set; then 12156if eval "test \"\${$as_ac_Header+set}\" = set"; then
11874 echo $ECHO_N "(cached) $ECHO_C" >&6 12157 echo $ECHO_N "(cached) $ECHO_C" >&6
12158fi
12159echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12160echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
11875else 12161else
12162 # Is the header compilable?
12163echo "$as_me:$LINENO: checking $ac_header usability" >&5
12164echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
11876 cat >conftest.$ac_ext <<_ACEOF 12165cat >conftest.$ac_ext <<_ACEOF
11877/* confdefs.h. */ 12166/* confdefs.h. */
11878_ACEOF 12167_ACEOF
11879cat confdefs.h >>conftest.$ac_ext 12168cat confdefs.h >>conftest.$ac_ext
11880cat >>conftest.$ac_ext <<_ACEOF 12169cat >>conftest.$ac_ext <<_ACEOF
11881/* end confdefs.h. */ 12170/* end confdefs.h. */
12171$ac_includes_default
12172#include <$ac_header>
12173_ACEOF
12174rm -f conftest.$ac_objext
12175if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12176 (eval $ac_compile) 2>conftest.er1
12177 ac_status=$?
12178 grep -v '^ *+' conftest.er1 >conftest.err
12179 rm -f conftest.er1
12180 cat conftest.err >&5
12181 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12182 (exit $ac_status); } &&
12183 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12184 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12185 (eval $ac_try) 2>&5
12186 ac_status=$?
12187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12188 (exit $ac_status); }; } &&
12189 { ac_try='test -s conftest.$ac_objext'
12190 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12191 (eval $ac_try) 2>&5
12192 ac_status=$?
12193 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12194 (exit $ac_status); }; }; then
12195 ac_header_compiler=yes
12196else
12197 echo "$as_me: failed program was:" >&5
12198sed 's/^/| /' conftest.$ac_ext >&5
12199
12200ac_header_compiler=no
12201fi
12202rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12203echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12204echo "${ECHO_T}$ac_header_compiler" >&6
12205
12206# Is the header present?
12207echo "$as_me:$LINENO: checking $ac_header presence" >&5
12208echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
12209cat >conftest.$ac_ext <<_ACEOF
12210/* confdefs.h. */
12211_ACEOF
12212cat confdefs.h >>conftest.$ac_ext
12213cat >>conftest.$ac_ext <<_ACEOF
12214/* end confdefs.h. */
12215#include <$ac_header>
12216_ACEOF
12217if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12218 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12219 ac_status=$?
12220 grep -v '^ *+' conftest.er1 >conftest.err
12221 rm -f conftest.er1
12222 cat conftest.err >&5
12223 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12224 (exit $ac_status); } >/dev/null; then
12225 if test -s conftest.err; then
12226 ac_cpp_err=$ac_cxx_preproc_warn_flag
12227 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12228 else
12229 ac_cpp_err=
12230 fi
12231else
12232 ac_cpp_err=yes
12233fi
12234if test -z "$ac_cpp_err"; then
12235 ac_header_preproc=yes
12236else
12237 echo "$as_me: failed program was:" >&5
12238sed 's/^/| /' conftest.$ac_ext >&5
12239
12240 ac_header_preproc=no
12241fi
12242rm -f conftest.err conftest.$ac_ext
12243echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12244echo "${ECHO_T}$ac_header_preproc" >&6
12245
12246# So? What about this header?
12247case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12248 yes:no: )
12249 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
12250echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
12251 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
12252echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
12253 ac_header_preproc=yes
12254 ;;
12255 no:yes:* )
12256 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
12257echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
12258 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
12259echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
12260 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
12261echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
12262 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
12263echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
12264 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
12265echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
12266 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
12267echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
12268 (
12269 cat <<\_ASBOX
12270## ------------------------------------------ ##
12271## Report this to the AC_PACKAGE_NAME lists. ##
12272## ------------------------------------------ ##
12273_ASBOX
12274 ) |
12275 sed "s/^/$as_me: WARNING: /" >&2
12276 ;;
12277esac
12278echo "$as_me:$LINENO: checking for $ac_header" >&5
12279echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12280if eval "test \"\${$as_ac_Header+set}\" = set"; then
12281 echo $ECHO_N "(cached) $ECHO_C" >&6
12282else
12283 eval "$as_ac_Header=\$ac_header_preproc"
12284fi
12285echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12286echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12287
12288fi
12289if test `eval echo '${'$as_ac_Header'}'` = yes; then
12290 cat >>confdefs.h <<_ACEOF
12291#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12292_ACEOF
12293
12294fi
12295
12296done
12297
12298
12299
12300
12301
12302
12303
12304for ac_func in \
12305 revoke \
12306 _getpty \
12307 getpt \
12308 posix_openpt \
12309 isastream \
12310
12311do
12312as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12313echo "$as_me:$LINENO: checking for $ac_func" >&5
12314echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12315if eval "test \"\${$as_ac_var+set}\" = set"; then
12316 echo $ECHO_N "(cached) $ECHO_C" >&6
12317else
12318 cat >conftest.$ac_ext <<_ACEOF
12319/* confdefs.h. */
12320_ACEOF
12321cat confdefs.h >>conftest.$ac_ext
12322cat >>conftest.$ac_ext <<_ACEOF
12323/* end confdefs.h. */
11882/* Define openpty to an innocuous variant, in case <limits.h> declares openpty. 12324/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
11883 For example, HP-UX 11i <limits.h> declares gettimeofday. */ 12325 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11884#define openpty innocuous_openpty 12326#define $ac_func innocuous_$ac_func
11885 12327
11886/* System header to define __stub macros and hopefully few prototypes, 12328/* System header to define __stub macros and hopefully few prototypes,
11887 which can conflict with char openpty (); below. 12329 which can conflict with char $ac_func (); below.
11888 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 12330 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
11889 <limits.h> exists even on freestanding compilers. */ 12331 <limits.h> exists even on freestanding compilers. */
11890 12332
11891#ifdef __STDC__ 12333#ifdef __STDC__
11892# include <limits.h> 12334# include <limits.h>
11893#else 12335#else
11894# include <assert.h> 12336# include <assert.h>
11895#endif 12337#endif
11896 12338
11897#undef openpty 12339#undef $ac_func
11898 12340
11899/* Override any gcc2 internal prototype to avoid an error. */ 12341/* Override any gcc2 internal prototype to avoid an error. */
11900#ifdef __cplusplus 12342#ifdef __cplusplus
11901extern "C" 12343extern "C"
11902{ 12344{
11903#endif 12345#endif
11904/* We use char because int might match the return type of a gcc2 12346/* We use char because int might match the return type of a gcc2
11905 builtin and then its argument prototype would still apply. */ 12347 builtin and then its argument prototype would still apply. */
11906char openpty (); 12348char $ac_func ();
11907/* The GNU C library defines this for functions which it implements 12349/* The GNU C library defines this for functions which it implements
11908 to always fail with ENOSYS. Some functions are actually named 12350 to always fail with ENOSYS. Some functions are actually named
11909 something starting with __ and the normal name is an alias. */ 12351 something starting with __ and the normal name is an alias. */
11910#if defined (__stub_openpty) || defined (__stub___openpty) 12352#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
11911choke me 12353choke me
11912#else 12354#else
11913char (*f) () = openpty; 12355char (*f) () = $ac_func;
11914#endif 12356#endif
11915#ifdef __cplusplus 12357#ifdef __cplusplus
11916} 12358}
11917#endif 12359#endif
11918 12360
11919int 12361int
11920main () 12362main ()
11921{ 12363{
11922return f != openpty; 12364return f != $ac_func;
11923 ; 12365 ;
11924 return 0; 12366 return 0;
11925} 12367}
11926_ACEOF 12368_ACEOF
11927rm -f conftest.$ac_objext conftest$ac_exeext 12369rm -f conftest.$ac_objext conftest$ac_exeext
11943 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12385 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11944 (eval $ac_try) 2>&5 12386 (eval $ac_try) 2>&5
11945 ac_status=$? 12387 ac_status=$?
11946 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12388 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11947 (exit $ac_status); }; }; then 12389 (exit $ac_status); }; }; then
11948 ac_cv_func_openpty=yes 12390 eval "$as_ac_var=yes"
11949else 12391else
11950 echo "$as_me: failed program was:" >&5 12392 echo "$as_me: failed program was:" >&5
11951sed 's/^/| /' conftest.$ac_ext >&5 12393sed 's/^/| /' conftest.$ac_ext >&5
11952 12394
11953ac_cv_func_openpty=no 12395eval "$as_ac_var=no"
11954fi 12396fi
11955rm -f conftest.err conftest.$ac_objext \ 12397rm -f conftest.err conftest.$ac_objext \
11956 conftest$ac_exeext conftest.$ac_ext 12398 conftest$ac_exeext conftest.$ac_ext
11957fi 12399fi
12400echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12401echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12402if test `eval echo '${'$as_ac_var'}'` = yes; then
12403 cat >>confdefs.h <<_ACEOF
12404#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12405_ACEOF
12406
12407fi
12408done
12409
12410
12411have_clone=no
12412
12413echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
12414echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
12415if test -e /dev/ptym/clone; then
12416 echo "$as_me:$LINENO: result: yes" >&5
12417echo "${ECHO_T}yes" >&6
12418
12419cat >>confdefs.h <<\_ACEOF
12420#define HAVE_DEV_CLONE 1
12421_ACEOF
12422
12423
12424cat >>confdefs.h <<\_ACEOF
12425#define CLONE_DEVICE "/dev/ptym/clone"
12426_ACEOF
12427
12428 have_clone=yes
12429else
12430 echo "$as_me:$LINENO: result: no" >&5
12431echo "${ECHO_T}no" >&6
12432fi
12433
12434echo "$as_me:$LINENO: checking for /dev/ptc" >&5
12435echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
12436if test -e /dev/ptc; then
12437 echo "$as_me:$LINENO: result: yes" >&5
12438echo "${ECHO_T}yes" >&6
12439
12440cat >>confdefs.h <<\_ACEOF
12441#define HAVE_DEV_PTC 1
12442_ACEOF
12443
12444
12445cat >>confdefs.h <<\_ACEOF
12446#define CLONE_DEVICE "/dev/ptc"
12447_ACEOF
12448
12449 have_clone=yes
12450else
12451 echo "$as_me:$LINENO: result: no" >&5
12452echo "${ECHO_T}no" >&6
12453fi
12454
12455case $host in
12456 *-*-cygwin*)
12457 have_clone=yes
12458
12459cat >>confdefs.h <<\_ACEOF
12460#define CLONE_DEVICE "/dev/ptmx"
12461_ACEOF
12462
12463 ;;
12464 *)
12465 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
12466echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
12467 if test -e /dev/ptmx; then
12468 echo "$as_me:$LINENO: result: yes" >&5
12469echo "${ECHO_T}yes" >&6
12470
12471cat >>confdefs.h <<\_ACEOF
12472#define HAVE_DEV_PTMX 1
12473_ACEOF
12474
12475
12476cat >>confdefs.h <<\_ACEOF
12477#define CLONE_DEVICE "/dev/ptmx"
12478_ACEOF
12479
12480 have_clone=yes
12481 else
12482 echo "$as_me:$LINENO: result: no" >&5
12483echo "${ECHO_T}no" >&6
12484 fi
12485 ;;
12486esac
12487
12488if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
12489 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
12490echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
12491 cat >conftest.$ac_ext <<_ACEOF
12492/* confdefs.h. */
12493_ACEOF
12494cat confdefs.h >>conftest.$ac_ext
12495cat >>conftest.$ac_ext <<_ACEOF
12496/* end confdefs.h. */
12497#include <stdlib.h>
12498int
12499main ()
12500{
12501grantpt(0);unlockpt(0);ptsname(0);
12502 ;
12503 return 0;
12504}
12505_ACEOF
12506rm -f conftest.$ac_objext conftest$ac_exeext
12507if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12508 (eval $ac_link) 2>conftest.er1
12509 ac_status=$?
12510 grep -v '^ *+' conftest.er1 >conftest.err
12511 rm -f conftest.er1
12512 cat conftest.err >&5
12513 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12514 (exit $ac_status); } &&
12515 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12516 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12517 (eval $ac_try) 2>&5
12518 ac_status=$?
12519 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12520 (exit $ac_status); }; } &&
12521 { ac_try='test -s conftest$ac_exeext'
12522 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12523 (eval $ac_try) 2>&5
12524 ac_status=$?
12525 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12526 (exit $ac_status); }; }; then
12527 unix98_pty=yes
12528
12529cat >>confdefs.h <<\_ACEOF
12530#define UNIX98_PTY 1
12531_ACEOF
12532
12533 echo "$as_me:$LINENO: result: yes" >&5
12534echo "${ECHO_T}yes" >&6
12535else
12536 echo "$as_me: failed program was:" >&5
12537sed 's/^/| /' conftest.$ac_ext >&5
12538
11958echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5 12539echo "$as_me:$LINENO: result: no" >&5
11959echo "${ECHO_T}$ac_cv_func_openpty" >&6 12540echo "${ECHO_T}no" >&6
11960if test $ac_cv_func_openpty = yes; then 12541fi
11961 : 12542rm -f conftest.err conftest.$ac_objext \
12543 conftest$ac_exeext conftest.$ac_ext
12544fi
12545
12546if test -z "$unix98_pty"; then
12547
12548for ac_func in openpty
12549do
12550as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12551echo "$as_me:$LINENO: checking for $ac_func" >&5
12552echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12553if eval "test \"\${$as_ac_var+set}\" = set"; then
12554 echo $ECHO_N "(cached) $ECHO_C" >&6
12555else
12556 cat >conftest.$ac_ext <<_ACEOF
12557/* confdefs.h. */
12558_ACEOF
12559cat confdefs.h >>conftest.$ac_ext
12560cat >>conftest.$ac_ext <<_ACEOF
12561/* end confdefs.h. */
12562/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12563 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12564#define $ac_func innocuous_$ac_func
12565
12566/* System header to define __stub macros and hopefully few prototypes,
12567 which can conflict with char $ac_func (); below.
12568 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12569 <limits.h> exists even on freestanding compilers. */
12570
12571#ifdef __STDC__
12572# include <limits.h>
12573#else
12574# include <assert.h>
12575#endif
12576
12577#undef $ac_func
12578
12579/* Override any gcc2 internal prototype to avoid an error. */
12580#ifdef __cplusplus
12581extern "C"
12582{
12583#endif
12584/* We use char because int might match the return type of a gcc2
12585 builtin and then its argument prototype would still apply. */
12586char $ac_func ();
12587/* The GNU C library defines this for functions which it implements
12588 to always fail with ENOSYS. Some functions are actually named
12589 something starting with __ and the normal name is an alias. */
12590#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12591choke me
12592#else
12593char (*f) () = $ac_func;
12594#endif
12595#ifdef __cplusplus
12596}
12597#endif
12598
12599int
12600main ()
12601{
12602return f != $ac_func;
12603 ;
12604 return 0;
12605}
12606_ACEOF
12607rm -f conftest.$ac_objext conftest$ac_exeext
12608if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12609 (eval $ac_link) 2>conftest.er1
12610 ac_status=$?
12611 grep -v '^ *+' conftest.er1 >conftest.err
12612 rm -f conftest.er1
12613 cat conftest.err >&5
12614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12615 (exit $ac_status); } &&
12616 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12617 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12618 (eval $ac_try) 2>&5
12619 ac_status=$?
12620 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12621 (exit $ac_status); }; } &&
12622 { ac_try='test -s conftest$ac_exeext'
12623 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12624 (eval $ac_try) 2>&5
12625 ac_status=$?
12626 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12627 (exit $ac_status); }; }; then
12628 eval "$as_ac_var=yes"
12629else
12630 echo "$as_me: failed program was:" >&5
12631sed 's/^/| /' conftest.$ac_ext >&5
12632
12633eval "$as_ac_var=no"
12634fi
12635rm -f conftest.err conftest.$ac_objext \
12636 conftest$ac_exeext conftest.$ac_ext
12637fi
12638echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12639echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12640if test `eval echo '${'$as_ac_var'}'` = yes; then
12641 cat >>confdefs.h <<_ACEOF
12642#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12643_ACEOF
12644
11962else 12645else
11963 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5 12646 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
11964echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6 12647echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
11965if test "${ac_cv_lib_util_openpty+set}" = set; then 12648if test "${ac_cv_lib_util_openpty+set}" = set; then
11966 echo $ECHO_N "(cached) $ECHO_C" >&6 12649 echo $ECHO_N "(cached) $ECHO_C" >&6
12022LIBS=$ac_check_lib_save_LIBS 12705LIBS=$ac_check_lib_save_LIBS
12023fi 12706fi
12024echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5 12707echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12025echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6 12708echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12026if test $ac_cv_lib_util_openpty = yes; then 12709if test $ac_cv_lib_util_openpty = yes; then
12710 cat >>confdefs.h <<\_ACEOF
12711#define HAVE_OPENPTY 1
12712_ACEOF
12027 LIBS="$LIBS -lutil" 12713 LIBS="$LIBS -lutil"
12028fi 12714fi
12029 12715
12030fi 12716fi
12717done
12031 12718
12032fi 12719fi
12033 12720
12034echo "$as_me:$LINENO: checking for pty/tty type" >&5
12035echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
12036if test "${rxvt_cv_ptys+set}" = set; then
12037 echo $ECHO_N "(cached) $ECHO_C" >&6
12038else
12039 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
12040 rxvt_cv_ptys=OPENPTY
12041 else if test x$ac_cv_func_getpt = xyes; then
12042 rxvt_cv_ptys=GLIBC
12043 else if test x$ac_cv_func_posix_openpt = xyes; then
12044 rxvt_cv_ptys=POSIX
12045 else if test x$ac_cv_func__getpty = xyes; then
12046 rxvt_cv_ptys=SGI4
12047 else if test -c /dev/ttyp20; then
12048 rxvt_cv_ptys=SCO
12049 else if test -c /dev/ptym/clone; then
12050 rxvt_cv_ptys=HPUX
12051 else if test -c /dev/ptc -a -c /dev/pts; then
12052 rxvt_cv_ptys=PTC
12053 else if test -c /dev/ptc -a -d /dev/pts; then
12054 rxvt_cv_ptys=PTC
12055 else if test -c /dev/ptmx -a -c /dev/pts/0; then
12056 rxvt_cv_ptys=STREAMS
12057 else if test x$ac_cv_func_grantpt = xyes && test x$ac_cv_func_unlockpt = xyes; then
12058 rxvt_cv_ptys=STREAMS
12059 else
12060 rxvt_cv_ptys=BSD
12061fi
12062fi
12063fi
12064fi
12065fi
12066fi
12067fi
12068fi
12069fi
12070fi
12071
12072fi
12073echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
12074echo "${ECHO_T}$rxvt_cv_ptys" >&6
12075
12076if test x$rxvt_cv_ptys = xGLIBC; then
12077
12078cat >>confdefs.h <<\_ACEOF
12079#define PTYS_ARE_GETPT 1
12080_ACEOF
12081
12082fi
12083if test x$rxvt_cv_ptys = xPOSIX; then
12084
12085cat >>confdefs.h <<\_ACEOF
12086#define PTYS_ARE_POSIX 1
12087_ACEOF
12088
12089fi
12090if test x$rxvt_cv_ptys = xOPENPTY; then
12091
12092cat >>confdefs.h <<\_ACEOF
12093#define PTYS_ARE_OPENPTY 1
12094_ACEOF
12095
12096fi
12097if test x$rxvt_cv_ptys = xSCO; then
12098
12099cat >>confdefs.h <<\_ACEOF
12100#define PTYS_ARE_NUMERIC 1
12101_ACEOF
12102
12103fi
12104if test x$rxvt_cv_ptys = xSTREAMS; then
12105
12106cat >>confdefs.h <<\_ACEOF
12107#define PTYS_ARE_PTMX 1
12108_ACEOF
12109
12110fi
12111if test x$rxvt_cv_ptys = xPTC; then
12112
12113cat >>confdefs.h <<\_ACEOF
12114#define PTYS_ARE_PTC 1
12115_ACEOF
12116
12117fi
12118if test x$rxvt_cv_ptys = xSGI4; then
12119
12120cat >>confdefs.h <<\_ACEOF
12121#define PTYS_ARE__GETPTY 1
12122_ACEOF
12123
12124fi
12125if test x$rxvt_cv_ptys = xHPUX; then
12126
12127cat >>confdefs.h <<\_ACEOF
12128#define PTYS_ARE_CLONE 1
12129_ACEOF
12130
12131fi
12132if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
12133
12134cat >>confdefs.h <<\_ACEOF
12135#define PTYS_ARE_SEARCHED 1
12136_ACEOF
12137
12138fi
12139
12140
12141{ echo "$as_me:$LINENO: checking for pty ranges..." >&5
12142echo "$as_me: checking for pty ranges..." >&6;}
12143ptys=`echo /dev/pty??`
12144pch1=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\).$/\1/g' | sort -u | tr -d '\012'`
12145pch2=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\)$/\1/g' | sort -u | tr -d '\012'`
12146if test x$pch1 != x; then
12147
12148cat >>confdefs.h <<_ACEOF
12149#define PTYCHAR1 "$pch1"
12150_ACEOF
12151
12152fi
12153if test x$pch2 != x; then
12154
12155cat >>confdefs.h <<_ACEOF
12156#define PTYCHAR2 "$pch2"
12157_ACEOF
12158
12159fi
12160 12721
12161if test x$support_xft = xyes; then 12722if test x$support_xft = xyes; then
12162 LIBS="$LIBS `pkg-config xft --libs`" 12723 LIBS="$LIBS `pkg-config xft --libs`"
12163 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12724 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12164 12725
13546s,@ac_ct_CXX@,$ac_ct_CXX,;t t 14107s,@ac_ct_CXX@,$ac_ct_CXX,;t t
13547s,@CPP@,$CPP,;t t 14108s,@CPP@,$CPP,;t t
13548s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 14109s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
13549s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 14110s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
13550s,@INSTALL_DATA@,$INSTALL_DATA,;t t 14111s,@INSTALL_DATA@,$INSTALL_DATA,;t t
14112s,@EGREP@,$EGREP,;t t
13551s,@LINKER@,$LINKER,;t t 14113s,@LINKER@,$LINKER,;t t
13552s,@CXXCPP@,$CXXCPP,;t t
13553s,@EGREP@,$EGREP,;t t
13554s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t 14114s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t
13555s,@RXVTNAME@,$RXVTNAME,;t t 14115s,@RXVTNAME@,$RXVTNAME,;t t
13556s,@MV@,$MV,;t t 14116s,@MV@,$MV,;t t
13557s,@RM@,$RM,;t t 14117s,@RM@,$RM,;t t
13558s,@CP@,$CP,;t t 14118s,@CP@,$CP,;t t
13559s,@LN@,$LN,;t t 14119s,@LN@,$LN,;t t
13560s,@SED@,$SED,;t t 14120s,@SED@,$SED,;t t
13561s,@ECHO@,$ECHO,;t t 14121s,@ECHO@,$ECHO,;t t
13562s,@CMP@,$CMP,;t t 14122s,@CMP@,$CMP,;t t
13563s,@TIC@,$TIC,;t t 14123s,@TIC@,$TIC,;t t
14124s,@CXXCPP@,$CXXCPP,;t t
13564s,@X_CFLAGS@,$X_CFLAGS,;t t 14125s,@X_CFLAGS@,$X_CFLAGS,;t t
13565s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t 14126s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
13566s,@X_LIBS@,$X_LIBS,;t t 14127s,@X_LIBS@,$X_LIBS,;t t
13567s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 14128s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
13568s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t 14129s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t
14115fi 14676fi
14116 14677
14117echo " 14678echo "
14118The following are set in config.h 14679The following are set in config.h
14119" 14680"
14120echo " pty/tty type: "$rxvt_cv_ptys
14121if test x$support_utmp != xyes; then 14681if test x$support_utmp != xyes; then
14122 echo " utmp support: disabled" 14682 echo " utmp support: disabled"
14123 echo 14683 echo
14124else 14684else
14125 echo " utmp support: enabled 14685 echo " utmp support: enabled
14142echo " resource class: $RESCLASS" 14702echo " resource class: $RESCLASS"
14143if test x$RESFALLBACK != x; then 14703if test x$RESFALLBACK != x; then
14144 echo " resource class fallback: $RESFALLBACK" 14704 echo " resource class fallback: $RESFALLBACK"
14145fi 14705fi
14146echo 14706echo
14147if test x$rxvt_cv_ptys = xUNKNOWN; then
14148 echo ".----------------------------------------------------------------."
14149 echo ". WARNING: could not determine pty/tty type. Do not build until ."
14150 echo ". the appropriate PTYS_ARE_* is defined in config.h ."
14151 echo ".----------------------------------------------------------------."
14152fi
14153if test x$support_xpm = xneedsmanualspecification; then 14707if test x$support_xpm = xneedsmanualspecification; then
14154 echo ".----------------------------------------------------------------." 14708 echo ".----------------------------------------------------------------."
14155 echo ". WARNING: --enable-xpm-background was specified however the ." 14709 echo ". WARNING: --enable-xpm-background was specified however the ."
14156 echo ". XPM includes files and libraries could not be found. ." 14710 echo ". XPM includes files and libraries could not be found. ."
14157 echo ". XPM backgrounds are now being DISABLED! If you want ." 14711 echo ". XPM backgrounds are now being DISABLED! If you want ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines